function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = fin_acc_rbc.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(17, 30);
g1(1,1)=y(20)*getPowerDeriv(y(1),params(3),1)-(1+y(13))*params(1)*T(10);
g1(1,9)=(-1);
g1(1,10)=(-1);
g1(1,12)=(-(y(1)*(1+y(13))*params(1)*T(23)));
g1(1,13)=(-(y(1)*params(1)*T(10)));
g1(1,4)=(-(y(1)*(1+y(13))*params(1)*T(22)*((y(4)*y(4)-T(1))/(y(4)*y(4))-1)));
g1(1,20)=T(5);
g1(2,1)=(-(1-params(4)));
g1(2,8)=1;
g1(2,9)=(-1);
g1(3,10)=(-((1+y(11))*params(5)*(-y(25))/(y(10)*y(10))*T(20)));
g1(3,25)=(-((1+y(11))*params(5)*T(20)*1/y(10)));
g1(3,11)=(-T(6));
g1(4,11)=(-((T(17)*T(15)*(-((1+y(27))*y(21)))/((1+y(11))*y(21)*(1+y(11))*y(21))-T(7)*T(15)*(-(T(16)*(-((1+y(27))*y(21)))/((1+y(11))*y(21)*(1+y(11))*y(21)))))/(T(17)*T(17))));
g1(4,26)=((1-T(12))*T(27)-T(11)*(-T(30)))/((1-T(12))*(1-T(12)))-(T(17)*T(7)*(T(27)-(params(1)*T(14)+y(26)*params(1)*(y(26)*T(13)*T(4)*(-T(25))-T(13))/(y(26)*y(26))/y(15)))-T(7)*T(15)*(-(T(7)*(T(30)-params(1)*T(29)))))/(T(17)*T(17));
g1(4,27)=(-((T(17)*T(15)*1/((1+y(11))*y(21))-T(7)*T(15)*(-(T(16)*1/((1+y(11))*y(21)))))/(T(17)*T(17))));
g1(4,15)=((1-T(12))*T(33)-T(11)*(-(T(28)*(T(32)-1)+y(26)*T(33))))/((1-T(12))*(1-T(12)))-(T(17)*T(7)*(T(33)-y(26)*params(1)*(y(15)*T(13)*T(4)*(-T(32))/y(26)-T(13)/y(26))/(y(15)*y(15)))-T(7)*T(15)*(-(T(7)*(T(28)*(T(32)-1)+y(26)*T(33)-params(1)*T(28)*(T(32)-1)))))/(T(17)*T(17));
g1(4,21)=(-((T(17)*T(15)*(-((1+y(11))*(1+y(27))))/((1+y(11))*y(21)*(1+y(11))*y(21))-T(7)*T(15)*(-(T(16)*(-((1+y(11))*(1+y(27))))/((1+y(11))*y(21)*(1+y(11))*y(21)))))/(T(17)*T(17))));
g1(5,1)=(-(params(3)*getPowerDeriv(y(1),params(3)-1,1)));
g1(5,13)=1;
g1(6,1)=T(19);
g1(6,2)=y(1)*(-(T(18)*(-((1+y(13))*y(21)))/(y(21)*(1+y(2))*y(21)*(1+y(2)))));
g1(6,12)=y(1)*(-(T(8)*(T(23)+1-normcdf(T(2),0,1)+y(12)*(-(T(21)*T(24)))-params(1)*T(23))));
g1(6,13)=y(1)*(-(T(18)*1/(y(21)*(1+y(2)))));
g1(6,3)=(-1);
g1(6,4)=y(1)*(-(T(8)*(T(31)-params(1)*T(22)*((y(4)*y(4)-T(1))/(y(4)*y(4))-1))));
g1(6,21)=y(1)*(-(T(18)*(-((1+y(13))*(1+y(2))))/(y(21)*(1+y(2))*y(21)*(1+y(2)))));
g1(7,1)=(-((1+y(13))*params(2)*(1-(T(10)+y(12)*(1-normcdf(T(2),0,1))))));
g1(7,12)=(-(y(1)*(1+y(13))*params(2)*(-(T(23)+1-normcdf(T(2),0,1)+y(12)*(-(T(21)*T(24)))))));
g1(7,13)=(-(y(1)*params(2)*(1-(T(10)+y(12)*(1-normcdf(T(2),0,1))))));
g1(7,14)=1;
g1(7,4)=(-(y(1)*(1+y(13))*params(2)*(-T(31))));
g1(8,8)=(-1);
g1(8,14)=1;
g1(8,17)=1;
g1(9,1)=(-(y(12)*(1+y(13))/(1+y(2))*1/y(5)));
g1(9,2)=(-(y(12)*y(1)/y(5)*(-(1+y(13)))/((1+y(2))*(1+y(2)))));
g1(9,12)=(-T(9));
g1(9,13)=(-(y(12)*y(1)/y(5)*1/(1+y(2))));
g1(9,16)=1;
g1(9,5)=(-(y(12)*(1+y(13))/(1+y(2))*(-y(1))/(y(5)*y(5))));
g1(10,4)=(-(params(9)*1/params(14)/(y(4)/params(14))));
g1(10,15)=1/params(14)/(y(15)/params(14));
g1(10,28)=(-1);
g1(11,9)=(-1);
g1(11,10)=(-1);
g1(11,19)=1;
g1(12,21)=1;
g1(12,22)=(-exp(params(7)+y(22)));
g1(13,7)=(-params(11));
g1(13,22)=1;
g1(13,29)=(-1);
g1(14,12)=(-(T(21)*T(24)));
g1(14,4)=(-(T(24)*(y(4)*y(4)-T(1))/(y(4)*y(4))));
g1(14,18)=1;
g1(15,11)=1/(1+y(27));
g1(15,27)=(-(1+y(11)))/((1+y(27))*(1+y(27)));
g1(15,23)=1;
g1(16,6)=(-(params(10)*1/y(6)));
g1(16,20)=1/y(20);
g1(16,30)=(-1);
g1(17,8)=(-(1/y(14)));
g1(17,14)=(-((-y(8))/(y(14)*y(14))));
g1(17,24)=1;

end
