function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = fin_acc_rbc.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(17, 1);
lhs = y(20)*T(5);
rhs = y(10)+y(9)+y(1)*(1+y(13))*params(1)*T(10);
residual(1) = lhs - rhs;
lhs = y(8);
rhs = y(9)+y(1)*(1-params(4));
residual(2) = lhs - rhs;
lhs = 1;
rhs = T(6)*(1+y(11));
residual(3) = lhs - rhs;
residual(4) = T(11)/(1-T(12))-T(7)*T(15)/T(17);
lhs = 1+y(13);
rhs = 1+params(3)*y(1)^(params(3)-1)-params(4);
residual(5) = lhs - rhs;
residual(6) = y(1)*T(19)-y(3);
lhs = y(14);
rhs = params(8)+y(1)*(1+y(13))*params(2)*(1-(T(10)+y(12)*(1-normcdf(T(2),0,1))));
residual(7) = lhs - rhs;
lhs = y(17);
rhs = y(8)-y(14);
residual(8) = lhs - rhs;
lhs = y(16);
rhs = y(12)*T(9);
residual(9) = lhs - rhs;
lhs = log(y(15)/params(14));
rhs = params(9)*log(y(4)/params(14))+x(it_, 1);
residual(10) = lhs - rhs;
lhs = y(19);
rhs = y(10)+y(9);
residual(11) = lhs - rhs;
lhs = y(21);
rhs = exp(params(7)+y(22));
residual(12) = lhs - rhs;
lhs = y(22);
rhs = params(11)*y(7)+x(it_, 2);
residual(13) = lhs - rhs;
lhs = y(18);
rhs = normcdf(T(2),0,1);
residual(14) = lhs - rhs;
lhs = y(23);
rhs = 1-(1+y(11))/(1+y(27));
residual(15) = lhs - rhs;
lhs = log(y(20));
rhs = params(10)*log(y(6))+x(it_, 3);
residual(16) = lhs - rhs;
lhs = y(24);
rhs = y(8)/y(14);
residual(17) = lhs - rhs;

end
