function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 19);

T(1) = log(y(12))+y(4)^2/2;
T(2) = T(1)/y(4);
T(3) = log(y(26))+y(15)^2/2;
T(4) = T(3)/y(15);
T(5) = y(1)^params(3);
T(6) = params(5)*(y(25)/y(10))^(-params(6));
T(7) = (1+y(27))/((1+y(11))*y(21));
T(8) = (1+y(13))/(y(21)*(1+y(2)));
T(9) = (1+y(13))/(1+y(2))*y(1)/y(5);
T(10) = normcdf(T(2)-y(4),0,1);
T(11) = 1-normcdf(T(4),0,1);
T(12) = normcdf(T(4)-y(15),0,1)+y(26)*T(11);
T(13) = normpdf(T(4),0,1);
T(14) = T(13)/y(26)/y(15);
T(15) = T(11)-y(26)*params(1)*T(14);
T(16) = T(12)-params(1)*normcdf(T(4)-y(15),0,1);
T(17) = 1-T(7)*T(16);
T(18) = T(10)+y(12)*(1-normcdf(T(2),0,1))-params(1)*T(10);
T(19) = 1-T(8)*T(18);

end
