function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = fin_acc_rbc.static_g1_tt(T, y, x, params);
end
g1 = zeros(17, 17);
g1(1,1)=y(13)*getPowerDeriv(y(1),params(3),1)-(1+y(6))*normcdf(T(2)-y(8),0,1)*params(1);
g1(1,2)=(-1);
g1(1,3)=(-1);
g1(1,5)=(-(y(1)*(1+y(6))*params(1)*T(14)*T(15)));
g1(1,6)=(-(y(1)*normcdf(T(2)-y(8),0,1)*params(1)));
g1(1,8)=(-(y(1)*(1+y(6))*params(1)*T(15)*(T(18)-1)));
g1(1,13)=T(7);
g1(2,1)=1-(1-params(4));
g1(2,2)=(-1);
g1(3,4)=(-params(5));
g1(4,4)=(-((T(11)*T(9)*(-((1+y(6))*y(14)))/((1+y(4))*y(14)*(1+y(4))*y(14))-T(8)*T(9)*T(13))/(T(11)*T(11))));
g1(4,5)=((1-T(4))*T(17)-T(3)*(-(T(14)*T(15)+T(3)+y(5)*T(17))))/((1-T(4))*(1-T(4)))-(T(11)*T(8)*(T(17)-(y(5)*params(1)*(y(5)*T(5)*T(2)*(-T(14))-T(5))/(y(5)*y(5))/y(8)+params(1)*T(6)))-T(8)*T(9)*(-(T(8)*(T(14)*T(15)+T(3)+y(5)*T(17)-params(1)*T(14)*T(15)))))/(T(11)*T(11));
g1(4,6)=(-((T(11)*T(9)*1/((1+y(4))*y(14))-T(8)*T(9)*(-(T(10)*1/((1+y(4))*y(14)))))/(T(11)*T(11))));
g1(4,8)=((1-T(4))*T(19)-T(3)*(-(T(15)*(T(18)-1)+y(5)*T(19))))/((1-T(4))*(1-T(4)))-(T(11)*T(8)*(T(19)-y(5)*params(1)*(y(8)*T(5)*T(2)*(-T(18))/y(5)-T(5)/y(5))/(y(8)*y(8)))-T(8)*T(9)*(-(T(8)*(T(15)*(T(18)-1)+y(5)*T(19)-params(1)*T(15)*(T(18)-1)))))/(T(11)*T(11));
g1(4,14)=(-((T(11)*T(9)*(-((1+y(6))*(1+y(4))))/((1+y(4))*y(14)*(1+y(4))*y(14))-T(8)*T(9)*T(21))/(T(11)*T(11))));
g1(5,1)=(-(params(3)*getPowerDeriv(y(1),params(3)-1,1)));
g1(5,6)=1;
g1(6,1)=T(11);
g1(6,4)=y(1)*T(13);
g1(6,5)=y(1)*(-(T(8)*(T(14)*T(15)+T(3)+y(5)*T(17)-params(1)*T(14)*T(15))));
g1(6,6)=y(1)*(-(T(10)*1/((1+y(4))*y(14))));
g1(6,7)=(-1);
g1(6,8)=y(1)*(-(T(8)*(T(15)*(T(18)-1)+y(5)*T(19)-params(1)*T(15)*(T(18)-1))));
g1(6,14)=y(1)*T(21);
g1(7,1)=(-((1+y(6))*(1-T(4))*params(2)));
g1(7,5)=(-(y(1)*(1+y(6))*params(2)*(-(T(14)*T(15)+T(3)+y(5)*T(17)))));
g1(7,6)=(-(y(1)*(1-T(4))*params(2)));
g1(7,7)=1;
g1(7,8)=(-(y(1)*(1+y(6))*params(2)*(-(T(15)*(T(18)-1)+y(5)*T(19)))));
g1(8,1)=(-1);
g1(8,7)=1;
g1(8,10)=1;
g1(9,1)=(-(y(5)*(1+y(6))/(1+y(4))*1/y(10)));
g1(9,4)=(-(y(5)*y(1)/y(10)*(-(1+y(6)))/((1+y(4))*(1+y(4)))));
g1(9,5)=(-T(12));
g1(9,6)=(-(y(5)*y(1)/y(10)*1/(1+y(4))));
g1(9,9)=1;
g1(9,10)=(-(y(5)*(1+y(6))/(1+y(4))*(-y(1))/(y(10)*y(10))));
g1(10,8)=T(20)-params(9)*T(20);
g1(11,2)=(-1);
g1(11,3)=(-1);
g1(11,12)=1;
g1(12,14)=1;
g1(12,15)=(-exp(params(7)+y(15)));
g1(13,15)=1-params(11);
g1(14,5)=T(17);
g1(14,8)=T(19);
g1(14,11)=1;
g1(15,4)=1/(1+y(6));
g1(15,6)=(-(1+y(4)))/((1+y(6))*(1+y(6)));
g1(15,16)=1;
g1(16,13)=1/y(13)-params(10)*1/y(13);
g1(17,1)=(-(1/y(7)));
g1(17,7)=(-((-y(1))/(y(7)*y(7))));
g1(17,17)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
