function [ys,check]=fin_acc_rbc_steadystate(ys,exe)

% compute s.s. This is the steady state file for the mod file;
% this file will automatically invoked by dynare and then s.s. 
% are returned.

global M_ options_
check = 0;

%the following statements ensure that the variables are not interpreted by
%MATLAB as functions... they will be reassigned values
%you do not need worry about values here.
beta=5;
alpha=4;
gamma=4; 
mu=1;
% Here we load the values of the deep parameters in a loop
% from dynare pre-processing info M_.
Np = M_.param_nbr;                                            
for I = 1:Np
    paramname = deblank(M_.param_names(I,:));
    eval([ paramname ' = M_.params(' int2str(I) ');']);
end


R=(1/beta)-1;
[Rk,omegabar,G,F,Gamma,Gam_muG,Fprime,K,N,C] = mysteadystate(1+R,sigma_ss,mu,alpha,gamma,delta,exp(lambda_para));
Rk=Rk-1;
I=delta*K;
sigmat=sigma_ss;
credit = K-N;
Interest_spread = ((1+Rk)/(1+R))*(K/credit)*omegabar;
Default_rate=F;
GDP=C+I;
wedge=(1-(1+R)/(1+Rk));
A=1;
lam = exp(lambda_para);
lamtilde =0;
Leverage = K/N;
% Define the steady state values of the endogenous variables of the model.
%@2017-7-26 This steady state file will automatically invoked by Dynare, ys
%are returned to the Dynare.
Ne = M_.orig_endo_nbr;
ys = zeros(Ne,1);
% endoleadcount = 2;
% nonauxcount = 0;
for indexvar = 1:Ne
    varname = deblank(M_.endo_names(indexvar,:));
        eval(['ys(' int2str(indexvar) ') = ' varname ';']);
end