function [ff,sp,omega,G,F,Gamma,Gam_muG,Fprime,k,n]=get_bank_zero_profit_diff_cond_on_Rk(Rk,R,sigma,mu,alpha,gamma,delta,lambdabar)
%starting from efficiency condition, when given spread(sp1,since R is known then Rk is known), then finding a
%omega from efficiency condition. then find  k and n. Finally, finding
%differnce of the two sides of the bank equilibrium conditions.
sp=Rk/R;

%before computing the difference, omegabar must known first.
%when given sigma, mu and spread(three assumptions, i.e.,three calibration), 
%'get_omega_entrepreneur_foc_cond_on_sigma.m' finds an omega that solves the entrepreneur's
%foc, i.e., the foc of the entrepreneurial utility maximization problem.
[omega,G,F,Gamma,Gam_muG,Fprime,er] = get_omega_entrepreneur_foc_cond_on_sigma(sigma,mu,sp,lambdabar);

%rate of return on the capital
k=(alpha/(Rk-(1-delta)))^(1/(1-alpha));

%aggregate net worth, and  w_e can be ignored
n=gamma*(1-Gamma)*Rk*k +0.01;

%difference of bank equilibrium conditions
ff=(k/n)-1/(1-sp/lambdabar*Gam_muG);